package org.jeecg.modules.fileupload.controller;

import cn.com.ctop.manage.modules.material.service.IMaterialInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * 素材库工具接口
 * @author jeecg-boot
 */
@RestController
public class FileController {
    @Autowired
    private IMaterialInfoService materialInfoService;

    @RequestMapping("file/check")
    public Map<String, Object> chenckFile(String code) {
        return materialInfoService.checkMaterialInfo(code);
    }

    @PostMapping("file/insert")
    public Map<String, Object> insertFile(String code, String url) {
        return materialInfoService.insert(code, url);
    }
}
