package cn.com.ctop.kuaishou.modules.report.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@TableName("ctop_kuaishou_report_hourly_group")
public class KuaishouReportHourlyGroup implements Serializable {
    private static final long serialVersionUID = 1L;
    @TableId
    private String id;
    private Long accountId;
    @JsonProperty("unit_id")
    private Long groupId;
    @JsonProperty("stat_date")
    private String statDate;
    @JsonProperty("stat_hour")
    private Integer statHour;
    @JsonProperty
    private BigDecimal charge;
    @TableField("photo_show")
    private Long show;
    @JsonProperty("photo_click")
    @TableField("photo_click")
    private Long photoClick;
    @JsonProperty
    private Long aclick;
    @JsonProperty
    private Long bclick;
    @JsonProperty
    private Long share;
    @JsonProperty
    private Long comment;
    @JsonProperty
    @TableField("`like`")
    private Long like;
    @JsonProperty
    private Long follow;
    @JsonProperty("cancel_follow")
    private Long cancelFollow;
    @JsonProperty
    private Long report;
    @JsonProperty
    private Long block;
    @JsonProperty
    private Long negative;
    @JsonProperty("download_started")
    private Long downloadStarted;
    @JsonProperty("download_completed")
    private Long downloadCompleted;
    @JsonProperty
    private Long activation;
    @JsonProperty
    private Long submit;
}
